Package org.apache.jasper.runtime

## Interface JspSourceDependent

    public interface JspSourceDependent

Interface for tracking the source files dependencies, for the purpose of compiling out of date pages. This is used for 1) files that are included by page directives 2) files that are included by include-prelude and include-coda in jsp:config 3) files that are tag files and referenced 4) TLDs referenced

### Method Summary

All Methods Instance Methods Abstract Methods
`Map<String,​Long>` `getDependants()` Returns a map of file names and last modified time where the current page has a source dependency on the file.

### Method Detail

#### getDependants

    Map<String,​Long> getDependants()

Returns a map of file names and last modified time where the current page has a source dependency on the file.

Returns:
  the map of dependent resources